// Include only once
#ifndef D_HPP
#define D_HPP

// Include header files
#include <B.hpp>

/**
 * @ref D is a simple derived class constructors and destructor.
 */
class D : public B {

  /**
   * @name Constructors and Destructor
   */
  //@{

  /**
   * @ref D's default constructor.
   */
 public:
    D();

  /**
   * @ref D's copy constructor.
   */
 public:
    D(const D&);

  /**
   * @ref D's move constructor.
   */
 public:
    D(D&&);

  /**
   * @ref D's destructor.
   */
 public:
    ~D();

  // End Constructors and Destructor
  //@}

  // End D definition.
};

// End check for multiple inclusion
#endif
